summaryrefslogtreecommitdiffstats
path: root/source/l/libcap
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libcap')
-rw-r--r--source/l/libcap/libcap-2.22.tar.bz2.sign8
-rw-r--r--source/l/libcap/libcap-2.25.tar.sign17
-rwxr-xr-xsource/l/libcap/libcap.SlackBuild30
-rw-r--r--source/l/libcap/slack-desc6
4 files changed, 41 insertions, 20 deletions
diff --git a/source/l/libcap/libcap-2.22.tar.bz2.sign b/source/l/libcap/libcap-2.22.tar.bz2.sign
deleted file mode 100644
index 31eaad16a..000000000
--- a/source/l/libcap/libcap-2.22.tar.bz2.sign
+++ /dev/null
@@ -1,8 +0,0 @@
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v1.4.11 (GNU/Linux)
-Comment: See http://www.kernel.org/signature.html for info
-
-iD8DBQBOLVY5yGugalF9Dw4RApFNAJwKUXnGMy+1QbBXJJAY9nCIPEVO5ACfcdWO
-vSlbjNX9WvZ99amrBhK6sag=
-=v2dJ
------END PGP SIGNATURE-----
diff --git a/source/l/libcap/libcap-2.25.tar.sign b/source/l/libcap/libcap-2.25.tar.sign
new file mode 100644
index 000000000..957c98057
--- /dev/null
+++ b/source/l/libcap/libcap-2.25.tar.sign
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1
+
+iQIcBAABAgAGBQJWrWCGAAoJECnuhIrizPP0pZwQAKGGoWQzqwrt83meQQGTwkf5
+rLisKVIwRv1kukno2slgA2oBCLJkC/d8nV35JIVfbwcH5oTCk+5NzwK4WeqdYxaH
+s/F0Dz4+VoSF5jDbOh3FSuF7+YggGu/Gm3umN7BXVmTxHtwGXyJh8Gz0Lndk4g7/
+0EFD/bxQxk2QTH1fd0RAq+vJXtdTLc2ebrrnTosr21WkGANGh8bAVsZdUe6XrOFz
+w9/aUeuwa5cJKE2wGKv56o8Ir3+G5aEBZxPKMly4sOAb7mn1LSb75lTkHE2G7B8/
+OWV0veZ7573oujhCyX1Dp9xP4tS3W4R9lwCPx+3LE6gmYnHKw9Sf5ZZKiU1TRsqH
+W+/EKcklU1dqAPgT7Gcnauibc4LuOWtXgtOng1ngC5l05QQPh3fxPYddjU0lEicD
+dp8XdAE/li9CRqALIR2U7tTgnJ/XokvTYT/NzHQHPY+FSMMhCKSAjrbKeOCtd8QK
+fNAInCdJtVS0NvSQ3aK5b2cHtKrfyEM3PHuS0Ri/wQHVEXMsP44pS2sEESjM0G4a
+OLs1/7RFLopVDZalUdY7pFIlyF2e9K3VfGW4y+pdhHVnBPSmkqilc52qRzoM0sjC
+JyFyXXf+AtpdYignX0X3w3igCDUDV46LX2cF2iha8lZYDSsiuzoq0YoJq9fs7y6o
+W0KYgi8F4+UArQCczuft
+=P54Y
+-----END PGP SIGNATURE-----
diff --git a/source/l/libcap/libcap.SlackBuild b/source/l/libcap/libcap.SlackBuild
index 796da7784..1439dabfa 100755
--- a/source/l/libcap/libcap.SlackBuild
+++ b/source/l/libcap/libcap.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,25 +22,34 @@
# Originally written by Menno Duursma
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcap
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -56,7 +65,6 @@ elif [ "$ARCH" = "armel" ]; then
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -64,7 +72,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd $PKGNAM-$VERSION || exit 1
zcat $CWD/libcap.capability.h.fix.broken.includes.diff.gz | patch -p1 || exit 1
@@ -79,6 +87,10 @@ find . \
# Set the CFLAGS
sed -i.orig "s/^\(DEBUG =\).*/\1$SLKCFLAGS/" Make.Rules
+# Disable broken gperf support:
+sed 's@^BUILD_GPERF@#\0@' -i Make.Rules
+
+
make DYNAMIC=yes $NUMJOBS || make DYNAMIC=yes || exit 1
make install FAKEROOT=$PKG man_prefix=/usr || exit 1
chmod 755 $PKG/lib${LIBDIRSUFFIX}/libcap.so*
diff --git a/source/l/libcap/slack-desc b/source/l/libcap/slack-desc
index 018686355..3ca7fc374 100644
--- a/source/l/libcap/slack-desc
+++ b/source/l/libcap/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|